LOG1P(3)

NAME
log1p, log1pf, log1pl - logarithm of 1 plus argument

SYNOPSIS
#include <math.h>

double log1p(double x);
float log1pf(float x);
long double log1pl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

log1p(), log1pf(), log1pl(): _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 500 || _ISOC99_SOURCE; or cc -std=c99

DESCRIPTION
log1p(x) returns a value equivalent to
    log (1 + x)
It is computed in a way that is accurate even if the value of x is near zero.

CONFORMING TO
BSD, C99. The float and long double variants are C99 requirements.

SEE ALSO
exp(3), expm1(3), log(3)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.